let login = {
  path: "auth/oauth/token",
  method: "post",
  result: "123456789"
};
let selectListTree = {
  path: "manage/organization/selectListTree",
  method: "post",
  'result|1-10': [
    {
      'baseId|+1': 1,
      orgName: "@cname 组织",
      icon: "nf-iconfont newlife-organizations",
      'children|1-10': [{
        baseId: "@guid",
        parentBaseId: '@id',
        orgName: "@cname 组织",
        icon: "nf-iconfont newlife-organizations"
      }]
    }
  ]
};
let selectPageListDepartment = {
  path: "manage/department/selectPageListDepartment",
  result: {
    curPage: 1,
    pageSize: 10,
    total: "@integer(15,50)",
    "pageData|15": [
      {
        baseId: "@guid",
        'deptCode|+1': 1,
        deptName: "@cword(1,3) 部门",
        deptTelPerson: "@cname",
        deptTel: "@integer(19953152222,19953154222)",
        deptDescription: "@csentence(5,10)",
        remark: "@csentence(5,10)"
      }
    ]
  }
};
let deleteListDepartment = {
  path: "manage/department/deleteListDepartment",
  result: "@integer(1,5)"
};
let deleteOneDepartment = {
  path: "manage/department/deleteOneDepartment",
  result: 1
};
let userMenus = {
  path: "manage/user/userMenus",
  method: "post",
  result: [
    {
      parentBaseId: "@id",
      baseId: "@id",
      menuTab: "",
      menuIcon: "fa fa-home fa-fw",
      menuName: "组件用例调试",
      menuCode: "@string(10)",
      menuNumber: "@integer(1,100)",
      permissions: [],
      treeLeaf: false,
      children: [
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfLeftRightBody",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-left-right-body",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfTopDownBody",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-top-down-body",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfMantle",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-mantle",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfHeader",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-header",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfSideTree",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-side-tree",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfFooter",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-footer",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfTable",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-table",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfWinTable",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-win-table",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfQuery",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-query",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfWinForm",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-win-form",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfTree",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-tree",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
        {
          parentBaseId: "@id",
          baseId: "@id",
          menuTab: "ExampleNfWinTree",
          menuIcon: "fa fa-home fa-fw",
          menuName: "nf-win-tree",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        },
      ],
    },
    {
      parentBaseId: "@id",
      baseId: "@id",
      menuTab: "",
      menuIcon: "fa fa-home fa-fw",
      menuName: "@ctitle",
      menuCode: "@string(10)",
      menuNumber: "@integer(1,100)",
      permissions: [],
      treeLeaf: false,
      "children|1-5": [
        {
          parentBaseId: "@id",
          baseId: "@id",
          'children|0-3': [
            {
              parentBaseId: "@id",
              baseId: "@id",
              children: [],
              menuTab: "ExampleNfHome",
              menuIcon: "fa fa-home fa-fw",
              menuName: "@ctitle",
              menuCode: "@string(10)",
              menuNumber: "@integer(1,100)",
              permissions: [
                {
                  baseId: "@id",
                  perCode: "@string(10)"
                },
                {
                  baseId: "@id",
                  perCode: "@string(10)"
                }
              ],
              treeLeaf: true
            }
          ],
          menuTab: "ExampleNfHome",
          menuIcon: "fa fa-home fa-fw",
          menuName: "@ctitle",
          menuCode: "@string(10)",
          menuNumber: "@integer(1,100)",
          permissions: [
            {
              baseId: "@id",
              perCode: "@string(10)"
            },
            {
              baseId: "@id",
              perCode: "@string(10)"
            }
          ],
          treeLeaf: true
        }
      ],
    }
  ]
};
export default {
  login,
  selectListTree,
  selectPageListDepartment,
  deleteListDepartment,
  deleteOneDepartment,
  userMenus
}

